# Ethernet tethering set state

An action block that enables or disables Ethernet tethering.

The fiber will proceed immediately if Bluetooth is enabled, otherwise pause until it’s been enabled and the tethering has been enabled or disabled.

This block may cause a `SecurityException` failure or otherwise refuse to work on devices where the manufacturer or carrier has disabled tethering, if so try another Ethernet tethering workaround option in settings.

Note! This feature isn’t officially supported and requires Android 11+, may not work on all devices.

## Input arguments

- Ethernet tethering — whether to enable or disable Ethernet tethering, default is disable.